Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.analysis.consensus
Class PercentageIDConsensus

    java.lang.Object
      |
      +--uk.ac.man.bioinf.analysis.consensus.PercentageIDConsensus

All Implemented Interfaces:
  ConsensusCalculator

public class PercentageIDConsensus
extends Object
implements ConsensusCalculator

PercentageIDConsensus.java Calculates a consensus sequence based simply on which element is most frequent at that row. If there are several possibilities it just takes which ever one came first. Created: Thu Jun 15 18:06:30 2000

Version:
  $Id: PercentageIDConsensus.java,v 1.10 2001/04/11 17:04:41 lord Exp $
Author:
  Phillip Lord

Field Summary
`static String` | `NAME`

Constructor Summary
`PercentageIDConsensus(PercentageIDCalculator calc)`

Method Summary
`String` | `getCalculatorName()`
`GappedSequence` | `getCurrentConsensus()`
`SequenceAlignment` | `getSequenceAlignment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### PercentageIDConsensus

    public PercentageIDConsensus(PercentageIDCalculator calc)

Method Detail

### getCurrentConsensus

    public GappedSequence getCurrentConsensus()

  Specified by:
    `getCurrentConsensus` in interface `ConsensusCalculator`

### getCalculatorName

    public String getCalculatorName()

  Specified by:
    `getCalculatorName` in interface `ConsensusCalculator`

### getSequenceAlignment

    public SequenceAlignment getSequenceAlignment()

  Specified by:
    `getSequenceAlignment` in interface `ConsensusCalculator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD